
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,400;0,600;1,300&family=Roboto&display=swap');

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: "Poppins", sans-serif;
  color: #222;
  padding-bottom: 50px
}

.container {
  max-width: 1200px;
  margin: 0 auto;
}

/* Nav */
.nav {
  position: fixed;  /*fixes the navbar*/
  background-color: #222;
  top: 0;
  left: 0;
  right: 0;
/*   to add animation when we scroll the page */
  transition: all .3s ease-in-out;
}

/* separate the content from left to right */
.nav .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 0;
  transition: all .3s ease-in-out;
  
}

/*separate the RHS content side by side  */
.nav ul {
  display: flex;
  list-style-type: none;
  align-items: center;
  justify-center: center;
}

/* Handling the links */
.nav a {
  color: #fff;
  text-decoration: none;
  padding: 7px 15px;
  transition: all .3s ease-in-out;
}

/* design when active  */
.nav.active {
  background-color: #fff;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.3);
}

.nav.active a{
  color: #000;
}

/* reducing the padding of container when active*/
.nav.active .container  {
  padding: 10px 0;
}

.nav a.current,
.nav a:hover {
  color: #c0392b;
  font-weight: bold;
}

/* Hero */
.hero {
  background-image: url("http://cdn.home-designing.com/wp-content/uploads/2020/11/computer-workstation-setup.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: bottom center;
  height: 100vh;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  position: relative;
  margin-bottom: 20px;
  z-index: -2;
}

.hero::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: -1;
}

.hero h1 {
  fotn-size: 46px;
  margin: -20px 0 20px;
}

.hero p {
  font-size: 20px;
  letter-spacing: 1px;
}

.content h2,
.content h3 {
  font-size: 150%;
  margin: 20px 0;
}

.content p {
  color: #555;
  line-height: 30px;
  letter-spacing: 1.2px;
}
